# Novita AI Seedance V1 Pro Text to Video API | Generate high-quality videos from text prompts

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-seedance-v1-pro-t2v

# Seedance V1 Pro Text to Video

POST

/

v3

/

async

/

seedance-v1-pro-t2v

Try it

Seedance V1 Pro Text to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/seedance-v1-pro-t2v \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"prompt": "&#x3C;string>",
"resolution": "&#x3C;string>",
"aspect_ratio": "&#x3C;string>",
"duration": 123,
"camera_fixed": true,
"seed": 123
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/seedance-v1-pro-t2v"payload = { "prompt": "&#x3C;string>", "resolution": "&#x3C;string>", "aspect_ratio": "&#x3C;string>", "duration": 123, "camera_fixed": True, "seed": 123}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ prompt: '&#x3C;string>', resolution: '&#x3C;string>', aspect_ratio: '&#x3C;string>', duration: 123, camera_fixed: true, seed: 123 })};fetch('https://api.novita.ai/v3/async/seedance-v1-pro-t2v', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/seedance-v1-pro-t2v", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'prompt' => '&#x3C;string>', 'resolution' => '&#x3C;string>', 'aspect_ratio' => '&#x3C;string>', 'duration' => 123, 'camera_fixed' => true, 'seed' => 123 ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/seedance-v1-pro-t2v"	payload := strings.NewReader("{\n \"prompt\": \"&#x3C;string>\",\n \"resolution\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\",\n \"duration\": 123,\n \"camera_fixed\": true,\n \"seed\": 123\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/seedance-v1-pro-t2v") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"prompt\": \"&#x3C;string>\",\n \"resolution\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\",\n \"duration\": 123,\n \"camera_fixed\": true,\n \"seed\": 123\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/seedance-v1-pro-t2v")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"prompt\": \"&#x3C;string>\",\n \"resolution\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\",\n \"duration\": 123,\n \"camera_fixed\": true,\n \"seed\": 123\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Seedance V1 Pro is an AI video model designed for coherent multi-shot video generation, offering smooth motion and precise adherence to detailed prompts. It supports resolutions of 480p, 720p, and 1080p.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-prompt)

prompt

string

required

Text prompt for video generation; Positive text prompt; Cannot exceed 2000 characters.

[​](#param-resolution)

resolution

string

required

Video quality. Accepted values: `480p`, `720p`, `1080p`

[​](#param-aspect-ratio)

aspect_ratio

string

default:"16:9"

The aspect ratio of the generated video.
Accepted values: `21:9`, `16:9`, `4:3`, `1:1`, `3:4`, `9:16`

[​](#param-duration)

duration

integer

default:5

required

Specifies the length of the generated video in seconds. Available options: `5`, `10`

[​](#param-camera-fixed)

camera_fixed

boolean

default:false

Determines if the camera position should remain fixed.

[​](#param-seed)

seed

integer

The random seed to use for the generation. -1 means a random seed will be used.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on January 27, 2026
